using _Core;

namespace _Combo
{
    internal class CreateGiftCodeTicket
    {
        public class Request : Serializable {
            [Newtonsoft.Json.JsonProperty("identity_token")]
            public string identityToken;
            [Newtonsoft.Json.JsonProperty("server_id")]
            public int serverId;
            [Newtonsoft.Json.JsonProperty("role_id")]
            public string roleId;
            [Newtonsoft.Json.JsonProperty("role_name")]
            public string roleName;

        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("ticket")]
            public string ticket;
        }
    }
}